Bug 617364 - System loaned to userA for RHTS is job stolen by Beaker Job for userB
System loaned to userA for RHTS is job stolen by Beaker Job for userB
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 16:30 EDT by PaulB
Modified: 2011-06-13 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 13:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PaulB 2010-07-22 16:30:02 EDT
Description of problem:
Today I had a system that was loaned to user:pbunyan.
The system is admin owned.
user:pbunyan needed the system to be loaned to user:dhoward for kernel testing.
user:dhoward had RHEL4Z test job queued in RHTS.
This required admin assistance, of course.

Order of events:
 [1] admin set the condition of the system to "Broken".
 [2] admin returned the user:pbunyan loan.
 [3] admin then loaned the system to user:dhoward.
 [4] admin then set the condition of the system to "Working".

 A Beaker job for user:slukasik stole the system.

 A system loaned to user:dhoward should only pick up user:dhoward jobs.

Version-Release number of selected component (if applicable):
Version - 0.5.50 


Best,
-pbunyan
Comment 1 Bill Peck 2010-07-22 17:44:27 EDT
I have a potential fix for this in git now.  Will test.

Note You need to log in before you can comment on or make changes to this bug.